open-vm-tools should recommend open-vm-dkms

Bug #598933 reported by Evan Broder
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
open-vm-tools (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: open-vm-tools

Users installing open-vm-tools probably want the kernel modules that come with them. Recommending open-vm-dkms makes them more likely to get the kernel modules.

Related branches

Evan Broder (broder)
Changed in open-vm-tools (Ubuntu):
importance: Undecided → Wishlist
Revision history for this message
James Berry (jibberish) wrote :

Agree - need this for shared folders among other things

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in open-vm-tools (Ubuntu):
status: New → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package open-vm-tools - 2011.12.20-562307-0ubuntu1

---------------
open-vm-tools (2011.12.20-562307-0ubuntu1) precise; urgency=high

  * Merge latest upstream git tag. Fixes building on Precise
    (LP: #898289, LP: #905612)

  * Items merged from Debian unstable:
    - debian/control:
      + open-vm-tools recommends open-vm-dkms. (LP: #598933)
      + open-vm-tools now suggests open-vm-toolbox. (LP: #604998)
    (From 2011.08.21-471295-1 release)
    - Updating maintainer and uploaders fields.
    - Removing vcs fields.
    - Removing references to Daniel's old email address.
    - Updating years in copyright file.
    - Updating to standards version 3.9.2.
    - Updating to debhelper version 8.
    - Switching to source format 3.0 (quilt).
    - Removing manual chrpath setting.
    - Removing exclusion from plugins from debhelper shlibs.
    - Rediffing kvers.patch.
    (From 2011.09.23-491607-1 release)
    - Marking binary architecture-dependend packages as linux and kfreebsd
    only.
    - Removing liburiparser-dev from build-depends as upstream dropped
    unity support.
    - Building with libproc-dev on amd64 again.
    - Dropping disabling of dnet support.
    (From 2011.09.23-491607-2 release)
    - Adding doxygen to build-depends for api documentation.
    - Adding libcunit1-dev to build-depends for test suites.
    - Minimizing rules file.
    - Adding open-vm-tools-dev package, containing only the api
      documentation for now.
    (From 2011.09.23-491607-3 release)
    - Sorting overrides in rules alphabetically.
    - Compacting copyright file.
    - Adding udev rule to set timeout for vmware scsi devices
    (From 2011.12.20-562307-1 release)
    - Adding patch to correct typo in upstreams dkms configuration

  * Remaining Changes:
    - Remove Stable part of version numbering.
    - debian folder:
      + Re-added open-vm-dkms.postinst & open-vm-dkms.prerm.
        * Allows dkms modules to compile upon installation.
    - debian/control:
      + Re-add open-vm-source and make into a transitional package
        for open-vm-toolbox.
      + Return dependancies that were moved to open-vm-tools back to
        open-vm-toolbox.
    - debian/rules and debian/open-vm-toolbox.lintian-overrides:
      + Make vmware-user-suid-wrapper suid-root
    - debian/rules:
      + Added CFLAGS field with -Wno-deprecated-declarations
        * Will suppress issues with glib 2.31 or later.
      + Add line to copy vmware-xdg-detect-de into place.
      + Install vmware-user.desktop through toolbox package.
    - debian/open-vm-tools.init:
      + Re-add 'modprobe [-r] vmblock'.
      + Add 'modprobe [-r] vmxnet'.
        * Incase it's not loaded during boot.
      + Remove and re-add pcnet32 module
        * Will be done before (remove) and after (readd) vmxnet module
          is added.
        * If vmxnet doesn't exist (aka modules fail to build), pcnet32 can be
          still used for network connectivity.
        * Workaround until a better fix can be done.
    - Re-add gnome-session to debian/local/xautostart.conf
    - Manpages removed (from debian/manpages):
      + vmmemctl.9
      + vmxnet3.9
      + Remov...

Read more...

Changed in open-vm-tools (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers